Subject: [bug#73842] [PATCH v5 2/3] pack: Add support for AppImage pack format.

From: Noé Lopez <[email-masked]>
Date: Sat, 23 Nov 2024 14:40:53 +0100

Hi,

Ludovic Courtès <[email-masked]> writes:

> Hi,
>
> (+Cc: issue.)
>
> Noé Lopez <[email-masked]> skribis:
>
>> This is an expected error from the AppImage runtime, as said in the
>> output the runtime depends on FUSE 3 to mount the AppImage.
>>
>> The AppImage can still be ran using --appimage-extract-and-run, which I
>> believe we noted in the documentation:
>>
>>>The runtime used by AppImages makes use of libfuse to mount the image
>>>quickly.  If libfuse is not available, the AppImage can still be started
>>>using the @option{--appimage-extract-and-run} flag.
>
> Oh right.  Perhaps we can tweak it to explicitly mention that
> ‘fusermount3’ must be in $PATH (as opposed to referring to “libfuse”).
> WDYT?
>
> (If you prefer I can make this change and push the whole thing; it’s
> just a fine point.)
>

That would be the easiest, thanks!

>> As for things that can be done from our side, we could change runtime to
>> one that uses other technologies just like supported by “-RR”.
>
> Yup.  The two techniques are definitely close to one another!
>
>> I’m pretty sure a process attached with ptrace can’t exec SUID programs,
>> for security reasons (ptrace allows you to change the code of the
>> attached program so its a privilege escalation).
>
> Yes, that makes sense.
>
> Thank you!
>
> Ludo’.

Thank you :)
Noé